> For the complete documentation index, see [llms.txt](https://docs.libum.io/nexum/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.libum.io/nexum/symxchange/api-reference.md).

# API Reference

{% hint style="info" %}
**Symitar eDocs References:** [SymXchange API Version](https://learnmore.symitar.com/edocs/#xml/SymXchange/SymXchangeAPIVrsn_C.html), [Available SymXchange Services](https://learnmore.symitar.com/edocs/#xml/SymXchange/SymXchangeSrvcsCnfgInstnc_R.html)
{% endhint %}

## SymXchange Versions

Below are the SymXchange versions that have published API references.

{% hint style="success" %}
We ensure [NexumAPI](https://libum.io/nexum/) is always up-to-date with all Jack Henry™ supported SymXchange versions. At the time of writing this, that would be <mark style="color:purple;">`v2018`</mark> through <mark style="color:purple;">`v2023`</mark> including the <mark style="color:purple;">`persistent`</mark> endpoint.
{% endhint %}

{% content-ref url="/pages/80YNCJErC8xY4UZVPfGS" %}
[Persistent](/nexum/symxchange/api-reference/persistent.md)
{% endcontent-ref %}

{% content-ref url="/pages/YpBXziuyQvplavxpBvlh" %}
[v2022.01](/nexum/symxchange/api-reference/v2022.01.md)
{% endcontent-ref %}

## Understanding your endpoints

We've included the SymXchange version as a first class resource as a parameter in the request path as shown below:

```http
https://naas.ymcu.libum.io/nexum/{sym}/{version}/{service}/{operation}
```

**Note:** The version should be set immediately after the Sym number and before the target SymXchange service.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.libum.io/nexum/symxchange/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
